Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Class ASN1OIDRegistry

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  com.mindbright.asn1.ASN1OIDRegistry

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Direct Known Subclasses:
  RegisteredTypes, RegisteredTypes, RegisteredTypes, RegisteredTypes

public class ASN1OIDRegistry
extends java.util.Properties

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ASN1OIDRegistry()`

Method Summary
`static void` | `addModule(java.lang.String moduleName)`
`static void` | `addModule(java.lang.String moduleName, java.util.Properties moduleTypes)`
`static java.lang.String` | `lookupName(java.lang.String id)`
`static java.lang.String` | `lookupShortName(java.lang.String id)`
`static java.lang.Class` | `lookupType(ASN1OID oid)`
`void` | `putName(java.lang.String oid, java.lang.String name)`
`void` | `putName(java.lang.String oid, java.lang.String name, java.lang.String shortName)`
`void` | `putShortName(java.lang.String oid, java.lang.String shortName)`
`static void` | `register(ASN1OID oid, java.lang.String type)`
`static void` | `register(java.lang.String oid, java.lang.String type)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASN1OIDRegistry

    public ASN1OIDRegistry()

Method Detail

### putName

    public void putName(java.lang.String oid,
                        java.lang.String name,
                        java.lang.String shortName)

### putShortName

    public void putShortName(java.lang.String oid,
                             java.lang.String shortName)

### putName

    public void putName(java.lang.String oid,
                        java.lang.String name)

### lookupType

    public static java.lang.Class lookupType(ASN1OID oid)

### lookupName

    public static java.lang.String lookupName(java.lang.String id)

### lookupShortName

    public static java.lang.String lookupShortName(java.lang.String id)

### register

    public static void register(ASN1OID oid,
                                java.lang.String type)

### register

    public static void register(java.lang.String oid,
                                java.lang.String type)

### addModule

    public static void addModule(java.lang.String moduleName)

### addModule

    public static void addModule(java.lang.String moduleName,
                                 java.util.Properties moduleTypes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD